# PhasicFlow: src/phasicFlow/containers/Vector/Vector.hpp File Reference

Vector.hpp File Reference
Include dependency graph for Vector.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | RESERVE
class | Vector< T, Allocator >
class | noConstructAllocator< T >
class | Vector< T, Allocator >

## Namespaces

| pFlow

## Macros

#define | __RESERVE__

## Typedefs

template<typename T >
using | vecAllocator = std::allocator< T >

## Functions

template<typename T , typename Allocator >
iIstream & | operator>> (iIstream &is, Vector< T, Allocator > &ivec)
template<typename T , typename Allocator >
iOstream & | operator<< (iOstream &os, const Vector< T, Allocator > &ovec)

## Macro Definition Documentation

## __RESERVE__

#define __RESERVE__

Definition at line 37 of file Vector.hpp.